AnnotWindow=Turbine.UI.Lotro.Window()
AnnotWindow:SetVisible(false)
AnnotWindow:SetSize(500,320)
AnnotWindow:SetPosition((displayWidth-AnnotWindow:GetWidth())/2,(displayHeight-AnnotWindow:GetHeight())/2)
AnnotWindow:SetText(Resource[language][63])

AnnotWindow.TypeCapt=Turbine.UI.Label()
AnnotWindow.TypeCapt:SetParent(AnnotWindow)
AnnotWindow.TypeCapt:SetSize(100,20)
AnnotWindow.TypeCapt:SetPosition(5,45)
AnnotWindow.TypeCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.TypeCapt:SetText(Resource[language][65]..":")
AnnotWindow.TypeSelect=DropDownList()
AnnotWindow.TypeSelect:SetParent(AnnotWindow)
AnnotWindow.TypeSelect:SetSize(AnnotWindow:GetWidth()-120,20)
AnnotWindow.TypeSelect:SetPosition(110,AnnotWindow.TypeCapt:GetTop())
AnnotWindow.TypeSelect:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.TypeSelect:SetBackColor(Turbine.UI.Color.Black)
AnnotWindow.TypeSelect:SetZOrder(2)
local tmpIcons={}
-- limit to the types allowed in MM
tmpIcons={55,11,43,44,45,46,48}
--for k,v in pairs(annotIcon) do
--	table.insert(tmpIcons,k)
--end
table.sort(tmpIcons)
local tmpIndex=#tmpIcons
for k,v in ipairs(tmpIcons) do
	AnnotWindow.TypeSelect:AddItem(Resource[language][annotIcon[v].StringID],v)
	if v==55 then tmpIndex=k end
end
AnnotWindow.TypeSelect:SetSelectedIndex(tmpIndex) -- CPOI
tmpIndex=nil
tmpIcons=nil

AnnotWindow.RegionCapt=Turbine.UI.Label()
AnnotWindow.RegionCapt:SetParent(AnnotWindow)
AnnotWindow.RegionCapt:SetSize(100,20)
AnnotWindow.RegionCapt:SetPosition(5,AnnotWindow.TypeCapt:GetTop()+25)
AnnotWindow.RegionCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.RegionCapt:SetText(Resource[language][66]..":")
AnnotWindow.Region=RadioButtonGroup()
AnnotWindow.Region:SetParent(AnnotWindow)
AnnotWindow.Region:SetSize(AnnotWindow:GetWidth()-120,40)
AnnotWindow.Region:SetPosition(110,AnnotWindow.RegionCapt:GetTop())
AnnotWindow.Region:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.Region.UnselectedIcon=resourcePath.."RB_unselected.tga";
AnnotWindow.Region.SelectedIcon=resourcePath.."RB_selected.tga";
AnnotWindow.Region.IconWidth=16;
AnnotWindow.Region.IconHeight=16;
AnnotWindow.Region:AddChoice(Resource[language][13]);
AnnotWindow.Region:AddChoice(Resource[language][14]);
AnnotWindow.Region:AddChoice(Resource[language][24]);
AnnotWindow.Region:AddChoice(Resource[language][56]);
AnnotWindow.Region:SetRows(2);
AnnotWindow.Region:SetSelectedChoice(1);
AnnotWindow.Region:SetEnabled(false)

AnnotWindow.NSCapt=Turbine.UI.Label()
AnnotWindow.NSCapt:SetParent(AnnotWindow)
AnnotWindow.NSCapt:SetSize(100,20)
AnnotWindow.NSCapt:SetPosition(5,AnnotWindow.RegionCapt:GetTop()+45)
AnnotWindow.NSCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.NSCapt:SetText(Resource[language][67]..":")
AnnotWindow.NS=Turbine.UI.Lotro.TextBox()
AnnotWindow.NS:SetParent(AnnotWindow)
AnnotWindow.NS:SetSize(80,20)
AnnotWindow.NS:SetPosition(110,AnnotWindow.NSCapt:GetTop())
AnnotWindow.NS:SetFont(Turbine.UI.Lotro.Font.Verdana18)

AnnotWindow.EWCapt=Turbine.UI.Label()
AnnotWindow.EWCapt:SetParent(AnnotWindow)
AnnotWindow.EWCapt:SetSize(100,20)
AnnotWindow.EWCapt:SetPosition(5,AnnotWindow.NSCapt:GetTop()+25)
AnnotWindow.EWCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.EWCapt:SetText(Resource[language][68]..":")
AnnotWindow.EW=Turbine.UI.Lotro.TextBox()
AnnotWindow.EW:SetParent(AnnotWindow)
AnnotWindow.EW:SetSize(80,20)
AnnotWindow.EW:SetPosition(110,AnnotWindow.EWCapt:GetTop())
AnnotWindow.EW:SetFont(Turbine.UI.Lotro.Font.Verdana18)

AnnotWindow.NameCapt=Turbine.UI.Label()
AnnotWindow.NameCapt:SetParent(AnnotWindow)
AnnotWindow.NameCapt:SetSize(100,20)
AnnotWindow.NameCapt:SetPosition(5,AnnotWindow.EWCapt:GetTop()+25)
AnnotWindow.NameCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.NameCapt:SetText(Resource[language][69]..":")
AnnotWindow.Name=Turbine.UI.Lotro.TextBox()
AnnotWindow.Name:SetParent(AnnotWindow)
AnnotWindow.Name:SetSize(AnnotWindow:GetWidth()-120,20)
AnnotWindow.Name:SetPosition(110,AnnotWindow.NameCapt:GetTop())
AnnotWindow.Name:SetFont(Turbine.UI.Lotro.Font.Verdana18)

AnnotWindow.DescCapt=Turbine.UI.Label()
AnnotWindow.DescCapt:SetParent(AnnotWindow)
AnnotWindow.DescCapt:SetSize(100,20)
AnnotWindow.DescCapt:SetPosition(5,AnnotWindow.NameCapt:GetTop()+25)
AnnotWindow.DescCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.DescCapt:SetText(Resource[language][70]..":")
AnnotWindow.Desc=Turbine.UI.Lotro.TextBox()
AnnotWindow.Desc:SetParent(AnnotWindow)
AnnotWindow.Desc:SetSize(AnnotWindow:GetWidth()-120,60)
AnnotWindow.Desc:SetPosition(110,AnnotWindow.DescCapt:GetTop())
AnnotWindow.Desc:SetFont(Turbine.UI.Lotro.Font.Verdana18)

AnnotWindow.Save=Turbine.UI.Lotro.Button()
AnnotWindow.Save:SetParent(AnnotWindow)
AnnotWindow.Save:SetSize(120,20)
AnnotWindow.Save:SetPosition(25,AnnotWindow:GetHeight()-40)
AnnotWindow.Save:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.Save:SetText(Resource[language][7])
AnnotWindow.Save.Click=function()
	local region=AnnotWindow.Region:GetSelectedChoice()
	-- need to add N/S and E/W radio buttons
	local ns=tonumber(AnnotWindow.NS:GetText())
	local ew=tonumber(AnnotWindow.EW:GetText())
	local name=AnnotWindow.Name:GetText()
	local annotType=AnnotWindow.TypeSelect:GetValue()
	local description=AnnotWindow.Desc:GetText()
	local oldName=AnnotWindow.OldName
	local oldType=AnnotWindow.OldType
	local oldDescription=AnnotWindow.OldDesc
	if oldName~=nil then
		-- update
		mapWindow.UpdateAnnotation(region, ns, ew, annotType, name, description, oldType, oldName, oldDescription)
	else
		-- add
		mapWindow.AddNewAnnotation(region,ns,ew, annotType, name, description)
	end
	AnnotWindow:SetVisible(false)
end

AnnotWindow.Delete=Turbine.UI.Lotro.Button()
AnnotWindow.Delete:SetParent(AnnotWindow)
AnnotWindow.Delete:SetSize(120,20)
AnnotWindow.Delete:SetPosition((AnnotWindow:GetWidth()-AnnotWindow.Delete:GetWidth())/2,AnnotWindow:GetHeight()-40)
AnnotWindow.Delete:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.Delete:SetText(Resource[language][71])
AnnotWindow.Delete.Click=function()
	-- only valid after SetOld has been called to set the attributes
	if AnnotWindow.OldRegion~=nil then
		mapWindow.RemoveAnnotation(AnnotWindow.OldRegion,AnnotWindow.OldH,AnnotWindow.OldV,AnnotWindow.OldX,AnnotWindow.OldY,AnnotWindow.OldType,AnnotWindow.OldName,AnnotWindow.OldDesc)
	end
	AnnotWindow:SetVisible(false)
end

AnnotWindow.Cancel=Turbine.UI.Lotro.Button()
AnnotWindow.Cancel:SetParent(AnnotWindow)
AnnotWindow.Cancel:SetSize(120,20)
AnnotWindow.Cancel:SetPosition(AnnotWindow:GetWidth()-25-AnnotWindow.Cancel:GetWidth(),AnnotWindow:GetHeight()-40)
AnnotWindow.Cancel:SetFont(Turbine.UI.Lotro.Font.Verdana18)
AnnotWindow.Cancel:SetText(Resource[language][8])
AnnotWindow.Cancel.Click=function()
	AnnotWindow:SetVisible(false)
end
AnnotWindow.ReloadMoorMap=false
AnnotWindow.ClearOld=function()
	--trip the editable status since either ClearOld or SetOld gets called just prior to display
	local debug=(debugWindow~=nil and debugWindow:IsVisible())
	AnnotWindow.NS:SetEnabled(debug)
	AnnotWindow.EW:SetEnabled(debug)
	AnnotWindow.OldRegion=nil
	AnnotWindow.OldNS=nil
	AnnotWindow.OldEW=nil
	AnnotWindow.OldH=nil
	AnnotWindow.OldV=nil
	AnnotWindow.OldX=nil
	AnnotWindow.OldY=nil
	AnnotWindow.OldType=nil
	AnnotWindow.OldName=nil
	AnnotWindow.OldDesc=nil
	AnnotWindow.Delete:SetEnabled(false)
end
AnnotWindow.SetOld=function(region,ns,ew,h,v,x,y,icon,name,desc)
	--trip the editable status since either ClearOld or SetOld gets called just prior to display
	local debug=(debugWindow~=nil and debugWindow:IsVisible())
	AnnotWindow.NS:SetEnabled(debug)
	AnnotWindow.NS:SetText(ns)
	AnnotWindow.EW:SetEnabled(debug)
	AnnotWindow.EW:SetText(ew)
	AnnotWindow.OldRegion=region
	AnnotWindow.OldNS=ns
	AnnotWindow.OldEW=ew
	AnnotWindow.OldH=h
	AnnotWindow.OldV=v
	AnnotWindow.OldX=x
	AnnotWindow.OldY=y
	AnnotWindow.OldType=icon
	AnnotWindow.OldName=name
	AnnotWindow.OldDesc=desc
	AnnotWindow.Delete:SetEnabled(true)
	AnnotWindow.Region:SetSelectedChoice(region)
	local tmpIndex=AnnotWindow.TypeSelect.Data
	for k=1, AnnotWindow.TypeSelect.ListData:GetItemCount() do
		if AnnotWindow.TypeSelect.ListData:GetItem(k).DataValue==icon then
			tmpIndex=k
			break
		end
	end
	AnnotWindow.TypeSelect:SetSelectedIndex(tmpIndex)
	AnnotWindow.Name:SetText(name)
	AnnotWindow.Desc:SetText(desc)
end
AnnotWindow.ClearOld()
