Channel={}
Channel[1]={}
Channel[2]={}
Channel[3]={}
Channel[4]={}
Channel[1][6]={"tell","Tell"}
Channel[2][6]={"dire","Dire"}
Channel[3][6]={"f","Fl\195\188stern"} -- "fl\195\188stern"
Channel[1][11]={"f","Fellowship"} -- fellowship
Channel[2][11]={"f","Communaut\195\169"} -- works for communaut\195\169 (fellowship)
Channel[3][11]={"g","Gef\195\164hrtengruppe"} -- Gef\195\164hrtengruppe (fellowship)
Channel[1][12]={"k","Kinship"} -- kinship
Channel[2][12]={"k","Confr\195\169rie"}
Channel[3][12]={"sc","Sippe"} -- Sippe
Channel[1][19]={"regional","Regional"} -- regional
Channel[2][19]={"r\195\169gional","R\195\169gional"}
Channel[3][19]={"regional","Regional"}
Channel[1][28]={"1","User 1"} -- user 1
Channel[2][28]={"1","cd1"}
Channel[3][28]={"1","bc1"}
Channel[1][29]={"2","User 2"} -- user 2
Channel[2][29]={"2","cd2"}
Channel[3][29]={"2","bc2"}
Channel[1][30]={"3","User 3"} -- user 3
Channel[2][30]={"3","cd3"}
Channel[3][30]={"3","bc3"}
Channel[1][31]={"4","User 4"} -- user 4
Channel[2][31]={"4","cd4"}
Channel[3][31]={"4","bc4"}
Channel[1][38]={"world","World"} -- world
Channel[2][38]={"monde","Monde"}
Channel[3][38]={"welt","Welt"}
Channel[1][39]={"5","User 5"} -- user 5
Channel[2][39]={"5","cd5"}
Channel[3][39]={"5","bc5"}
Channel[1][40]={"6","User 6"} -- user 6
Channel[2][40]={"6","cd6"}
Channel[3][40]={"6","bc6"}
Channel[1][41]={"7","User 7"} -- user 7
Channel[2][41]={"7","cd7"}
Channel[3][41]={"7","bc7"}
Channel[1][42]={"8","User 8"} -- user 8
Channel[2][42]={"8","cd8"}
Channel[3][42]={"8","bc8"}

ShareWindow=Turbine.UI.Lotro.Window()
ShareWindow:SetVisible(false)
ShareWindow:SetSize(500,150)
ShareWindow:SetPosition((displayWidth-ShareWindow:GetWidth())/2,(displayHeight-ShareWindow:GetHeight())/2)
ShareWindow:SetText(Resource[language][72])

ShareWindow.ChannelCapt=Turbine.UI.Label()
ShareWindow.ChannelCapt:SetParent(ShareWindow)
ShareWindow.ChannelCapt:SetSize(100,20)
ShareWindow.ChannelCapt:SetPosition(5,45)
ShareWindow.ChannelCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
ShareWindow.ChannelCapt:SetText(Resource[language][73]..":")
ShareWindow.ChannelSel=DropDownList()
ShareWindow.ChannelSel:SetParent(ShareWindow)
ShareWindow.ChannelSel:SetSize(ShareWindow:GetWidth()-250,20)
ShareWindow.ChannelSel:SetPosition(110,ShareWindow.ChannelCapt:GetTop())
ShareWindow.ChannelSel:SetFont(Turbine.UI.Lotro.Font.Verdana18)
ShareWindow.ChannelSel:SetBackColor(Turbine.UI.Color.Black)
ShareWindow.ChannelSel:SetCurrentBackColor(Turbine.UI.Color.Black)
ShareWindow.ChannelSel:SetBorderColor(Turbine.UI.Color.Grey)
ShareWindow.ChannelSel:SetDropRows(4)
ShareWindow.ChannelSel:SetZOrder(3)
ShareWindow.populateChannelSel=function()
	-- remove all prior names
	ShareWindow.ChannelSel:ClearList()
	-- determine names for current user channels
	-- need to sort the channels by name...
	local tmpChan={}
	for k,v in pairs(Channel[clientLanguage]) do
		table.insert(tmpChan,{v[2],k})
	end
	table.sort(tmpChan,function(a,b) if a[1]<b[1] then return (true) end end)

	local curr
	for k,v in ipairs(tmpChan) do
		if Settings.ChatChannel==v[2] then
			curr=k
		end
		ShareWindow.ChannelSel:AddItem(v[1],v[2])
	end
	if curr~=nil then
		ShareWindow.ChannelSel:SetSelectedIndex(curr)
	end
end
ShareWindow.populateChannelSel()
ShareWindow.ChannelSel.SelectedIndexChanged=function()
	Settings.ChatChannel=ShareWindow.ChannelSel:GetValue()
	ShareWindow.Player:SetVisible(Settings.ChatChannel==6)
	ShareWindow.RefreshQS()
end

ShareWindow.RefreshQS=Turbine.UI.Lotro.Quickslot()
ShareWindow.RefreshQS:SetParent(ShareWindow)
ShareWindow.RefreshQS:SetSize(100,20)
ShareWindow.RefreshQS:SetPosition(ShareWindow.ChannelSel:GetLeft()+ShareWindow.ChannelSel:GetWidth()+10,ShareWindow.ChannelSel:GetTop())
ShareWindow.RefreshQS:SetAllowDrop(false)
if clientLanguage==2 then
	ShareWindow.RefreshCmd="/listecanaux"
elseif clientLanguage==3 then
	ShareWindow.RefreshCmd="/kanalliste"
else
	ShareWindow.RefreshCmd="/listchannels"
end
ShareWindow.RefreshQS:SetShortcut(Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ShareWindow.RefreshCmd))
ShareWindow.RefreshQS.DragDrop=function()
	-- reestablish the shortcut if the user accidentally drags it onto itself which wipes it out
	ShareWindow.RefreshQS:SetShortcut(Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ShareWindow.RefreshCmd));
end
ShareWindow.RefreshQS:SetUseOnRightClick(false)

ShareWindow.RefreshMaskBack=Turbine.UI.Control()
ShareWindow.RefreshMaskBack:SetParent(ShareWindow)
ShareWindow.RefreshMaskBack:SetSize(ShareWindow.RefreshQS:GetSize())
ShareWindow.RefreshMaskBack:SetPosition(ShareWindow.RefreshQS:GetPosition())
ShareWindow.RefreshMaskBack:SetMouseVisible(false)
ShareWindow.RefreshMaskBack:SetBackColor(Turbine.UI.Color.Black)
ShareWindow.RefreshMaskBack:SetZOrder(1)

ShareWindow.RefreshMaskLeft=Turbine.UI.Control()
ShareWindow.RefreshMaskLeft:SetParent(ShareWindow)
ShareWindow.RefreshMaskLeft:SetPosition(ShareWindow.RefreshQS:GetPosition())
ShareWindow.RefreshMaskLeft:SetMouseVisible(false)
ShareWindow.RefreshMaskLeft:SetZOrder(2)
ShareWindow.RefreshMaskLeft:SetSize(20,20)
ShareWindow.RefreshMaskLeft:SetBackground(0x410001a5)

ShareWindow.RefreshMaskMid=Turbine.UI.Label()
ShareWindow.RefreshMaskMid:SetParent(ShareWindow)
ShareWindow.RefreshMaskMid:SetPosition(ShareWindow.RefreshMaskLeft:GetLeft()+20,ShareWindow.RefreshMaskLeft:GetTop())
ShareWindow.RefreshMaskMid:SetMouseVisible(false)
ShareWindow.RefreshMaskMid:SetZOrder(2)
ShareWindow.RefreshMaskMid:SetSize(ShareWindow.RefreshQS:GetWidth()-40,20)
ShareWindow.RefreshMaskMid:SetBackground(0x410001ac)
ShareWindow.RefreshMaskMid:SetForeColor(Turbine.UI.Color.Gold)
ShareWindow.RefreshMaskMid:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
ShareWindow.RefreshMaskMid:SetText(Resource[language][83])

ShareWindow.RefreshMaskRight=Turbine.UI.Control()
ShareWindow.RefreshMaskRight:SetParent(ShareWindow)
ShareWindow.RefreshMaskRight:SetPosition(ShareWindow.RefreshQS:GetLeft()+ShareWindow.RefreshQS:GetWidth()-20,ShareWindow.RefreshMaskLeft:GetTop())
ShareWindow.RefreshMaskRight:SetMouseVisible(false)
ShareWindow.RefreshMaskRight:SetZOrder(2)
ShareWindow.RefreshMaskRight:SetSize(20,20)
ShareWindow.RefreshMaskRight:SetBackground(0x410001b3)


ShareWindow.PlayerCapt=Turbine.UI.Label()
ShareWindow.PlayerCapt:SetParent(ShareWindow)
ShareWindow.PlayerCapt:SetSize(100,20)
ShareWindow.PlayerCapt:SetPosition(5,ShareWindow.ChannelCapt:GetTop()+25)
ShareWindow.PlayerCapt:SetFont(Turbine.UI.Lotro.Font.Verdana18)
ShareWindow.PlayerCapt:SetText(Resource[language][80]..":")
ShareWindow.PlayerNA=Turbine.UI.Label()
ShareWindow.PlayerNA:SetParent(ShareWindow)
ShareWindow.PlayerNA:SetSize(ShareWindow:GetWidth()-120,20)
ShareWindow.PlayerNA:SetPosition(110,ShareWindow.PlayerCapt:GetTop())
ShareWindow.PlayerNA:SetFont(Turbine.UI.Lotro.Font.Verdana18)
ShareWindow.PlayerNA:SetText("n/a")

ShareWindow.Player=Turbine.UI.Lotro.TextBox()
ShareWindow.Player:SetParent(ShareWindow)
ShareWindow.Player:SetSize(ShareWindow:GetWidth()-120,20)
ShareWindow.Player:SetPosition(110,ShareWindow.PlayerCapt:GetTop())
ShareWindow.Player:SetFont(Turbine.UI.Lotro.Font.Verdana18)
ShareWindow.Player:SetBackColor(Turbine.UI.Color.Black)
ShareWindow.Player:SetVisible(Settings.ChatChannel==Turbine.ChatType.Tell)
ShareWindow.Player.TextChanged=function(sender,args)
	ShareWindow.RefreshQS()
end

ShareWindow.ShareQS=Turbine.UI.Lotro.Quickslot()
ShareWindow.ShareQS:SetParent(ShareWindow)
ShareWindow.ShareQS:SetSize(100,22)
ShareWindow.ShareQS:SetPosition((ShareWindow:GetWidth()-ShareWindow.ShareQS:GetWidth())/2,ShareWindow:GetHeight()-ShareWindow.ShareQS:GetHeight()-25)
ShareWindow.ShareQS:SetAllowDrop(false)
ShareWindow.ShareQS:SetShortcut(Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, "/loc"))
ShareWindow.ChatCmd=""
ShareWindow.ShareQS.DragDrop=function()
	-- reestablish the shortcut if the user accidentally drags it onto itself which wipes it out
	ShareWindow.ShareQS:SetShortcut(Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, ShareWindow.ChatCmd));
end
ShareWindow.ShareQS:SetUseOnRightClick(false)
ShareWindow.ShareQS.MouseClick=function()
	ShareWindow:SetVisible(false)
end

ShareWindow.ShareMaskBack=Turbine.UI.Control()
ShareWindow.ShareMaskBack:SetParent(ShareWindow)
ShareWindow.ShareMaskBack:SetSize(ShareWindow.ShareQS:GetSize())
ShareWindow.ShareMaskBack:SetPosition(ShareWindow.ShareQS:GetPosition())
ShareWindow.ShareMaskBack:SetMouseVisible(false)
ShareWindow.ShareMaskBack:SetBackColor(Turbine.UI.Color.Black)
ShareWindow.ShareMaskBack:SetZOrder(1)

ShareWindow.ShareMaskLeft=Turbine.UI.Control()
ShareWindow.ShareMaskLeft:SetParent(ShareWindow)
ShareWindow.ShareMaskLeft:SetPosition(ShareWindow.ShareQS:GetPosition())
ShareWindow.ShareMaskLeft:SetMouseVisible(false)
ShareWindow.ShareMaskLeft:SetZOrder(2)
ShareWindow.ShareMaskLeft:SetSize(20,20)
ShareWindow.ShareMaskLeft:SetBackground(0x410001a5)

ShareWindow.ShareMaskMid=Turbine.UI.Label()
ShareWindow.ShareMaskMid:SetParent(ShareWindow)
ShareWindow.ShareMaskMid:SetPosition(ShareWindow.ShareMaskLeft:GetLeft()+20,ShareWindow.ShareMaskLeft:GetTop())
ShareWindow.ShareMaskMid:SetMouseVisible(false)
ShareWindow.ShareMaskMid:SetZOrder(2)
ShareWindow.ShareMaskMid:SetSize(ShareWindow.ShareQS:GetWidth()-40,20)
ShareWindow.ShareMaskMid:SetBackground(0x410001ac)
ShareWindow.ShareMaskMid:SetForeColor(Turbine.UI.Color.Gold)
ShareWindow.ShareMaskMid:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
ShareWindow.ShareMaskMid:SetText(Resource[language][82])

ShareWindow.ShareMaskRight=Turbine.UI.Control()
ShareWindow.ShareMaskRight:SetParent(ShareWindow)
ShareWindow.ShareMaskRight:SetPosition(ShareWindow.ShareQS:GetLeft()+ShareWindow.ShareQS:GetWidth()-20,ShareWindow.ShareMaskLeft:GetTop())
ShareWindow.ShareMaskRight:SetMouseVisible(false)
ShareWindow.ShareMaskRight:SetZOrder(2)
ShareWindow.ShareMaskRight:SetSize(20,20)
ShareWindow.ShareMaskRight:SetBackground(0x410001b3)

ShareWindow.RefreshQS=function()
	-- verify that the selected channel is valid - if channel 6, make sure a player name is entered

	-- set the quickslot based on channel and current settings (don't forget to encode name and desc)
	if Settings.ChatChannel==6 then
		-- we have to embed the player name in a prefix for Tells since the chat args.Sender is borked
		ShareWindow.ChatCmd="/"..Channel[clientLanguage][Settings.ChatChannel][1].." "..ShareWindow.Player:GetText().." [Tell] "..localPlayer:GetName()..": "
	else
		ShareWindow.ChatCmd="/"..Channel[clientLanguage][Settings.ChatChannel][1].." "
	end
	ShareWindow.ChatCmd=ShareWindow.ChatCmd.."TerrainMap AnnotShare:"..tostring(ShareWindow.region).."_"..tostring(ShareWindow.h).."_"..tostring(ShareWindow.v).."_"..tostring(ShareWindow.x).."_"..tostring(ShareWindow.y).."_"..tostring(ShareWindow.icon).."_"..string.encode(ShareWindow.name).."_"..string.encode(ShareWindow.desc)
	local shortcut=Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Alias, "")
	shortcut:SetData(ShareWindow.ChatCmd) -- have to use SetData due to bug in handling UTF-8 strings in constructor
	ShareWindow.ShareQS:SetShortcut(shortcut)
end
ShareWindow.SetShare=function(region, h, v, x, y, icon, name, desc)
	ShareWindow.region=region
	ShareWindow.h=h
	ShareWindow.v=v
	ShareWindow.x=x
	ShareWindow.y=y
	ShareWindow.icon=icon
	ShareWindow.name=name
	ShareWindow.desc=desc
	local regionName=Resource[language][13]
	if region==2 then regionName=Resource[language][14] end
	if region==3 then regionName=Resource[language][24] end
	if region==4 then regionName=Resource[language][56] end
	ShareWindow.RefreshQS()
end
