optionsWindow=Turbine.UI.Lotro.Window()
optionsWindow:SetSize(400,460)
optionsWindow:SetPosition((displayWidth-optionsWindow:GetWidth())/2,(displayHeight-optionsWindow:GetHeight())/2)
optionsWindow:SetText(Resource[language][3])

local captionLeft=10
local captionWidth=150
local colLeft1=10
local colWidth1=85
local colLeft2=100
local colWidth2=90
local colLeft3=210
local colWidth3=85
local colLeft4=300
local colWidth4=90
local valueLeft=captionWidth+captionLeft
local valueWidth=optionsWindow:GetWidth()-captionWidth-captionLeft*2
local font=Turbine.UI.Lotro.Font.Verdana16

optionsWindow.LangCaption=Turbine.UI.Label();
optionsWindow.LangCaption:SetParent(optionsWindow);
optionsWindow.LangCaption:SetFont(font);
optionsWindow.LangCaption:SetSize(captionWidth,20);
optionsWindow.LangCaption:SetPosition(captionLeft,45);
optionsWindow.LangCaption:SetText(Resource[language][4])
optionsWindow.LangSel=DropDownList();
optionsWindow.LangSel:SetParent(optionsWindow);
optionsWindow.LangSel:SetFont(font);
optionsWindow.LangSel:SetBackColor(Turbine.UI.Color.Black)
optionsWindow.LangSel:SetCurrentBackColor(Turbine.UI.Color.Black)
optionsWindow.LangSel:SetBorderColor(Turbine.UI.Color.Gray)
optionsWindow.LangSel:SetSize(valueWidth,20);
optionsWindow.LangSel:SetPosition(valueLeft,optionsWindow.LangCaption:GetTop());
for k,v in pairs(Resource) do
	optionsWindow.LangSel:AddItem(v[1],k);
end
optionsWindow.LangSel:SetSelectedIndex(language);
optionsWindow.LangSel.SelectedIndexChanged=function()
	language=optionsWindow.LangSel:GetSelectedIndex();
	SetLanguage();
end
optionsWindow.LangSel:SetZOrder(1);

optionsWindow.LoadMinimized=Turbine.UI.Lotro.CheckBox();
optionsWindow.LoadMinimized:SetParent(optionsWindow);
optionsWindow.LoadMinimized:SetFont(font);
optionsWindow.LoadMinimized:SetSize(valueWidth,20);
optionsWindow.LoadMinimized:SetPosition(valueLeft,optionsWindow.LangCaption:GetTop()+25);
optionsWindow.LoadMinimized:SetChecked(Settings.LoadMinimized);
optionsWindow.LoadMinimized:SetText(Resource[language][15])

optionsWindow.mapHeader=Turbine.UI.Label()
optionsWindow.mapHeader:SetParent(optionsWindow)
optionsWindow.mapHeader:SetSize(optionsWindow:GetWidth()-20,20)
optionsWindow.mapHeader:SetPosition(10,optionsWindow.LoadMinimized:GetTop()+30)
optionsWindow.mapHeader:SetTextAlignment(Turbine.UI.ContentAlignment.BottomCenter)
optionsWindow.mapHeader:SetForeColor(Turbine.UI.Color.Gold)
optionsWindow.mapHeader:SetFont(Turbine.UI.Lotro.Font.Verdana22)
optionsWindow.mapHeader:SetText(Resource[language][18])
optionsWindow.mapHeaderSep=Turbine.UI.Control()
optionsWindow.mapHeaderSep:SetParent(optionsWindow)
optionsWindow.mapHeaderSep:SetSize(optionsWindow:GetWidth()-20,1)
optionsWindow.mapHeaderSep:SetPosition(10,optionsWindow.mapHeader:GetTop()+21)
optionsWindow.mapHeaderSep:SetBackColor(Turbine.UI.Color.Gold)

optionsWindow.LeftCaption=Turbine.UI.Label()
optionsWindow.LeftCaption:SetParent(optionsWindow)
optionsWindow.LeftCaption:SetSize(colWidth1,20)
optionsWindow.LeftCaption:SetPosition(colLeft1,optionsWindow.mapHeaderSep:GetTop()+5)
optionsWindow.LeftCaption:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight)
optionsWindow.LeftCaption:SetFont(font);
optionsWindow.LeftCaption:SetText(Resource[language][9])
optionsWindow.Left=Turbine.UI.Lotro.TextBox()
optionsWindow.Left:SetParent(optionsWindow)
optionsWindow.Left:SetSize(colWidth2,20)
optionsWindow.Left:SetPosition(colLeft2,optionsWindow.LeftCaption:GetTop())
optionsWindow.Left:SetFont(font)

optionsWindow.TopCaption=Turbine.UI.Label()
optionsWindow.TopCaption:SetParent(optionsWindow)
optionsWindow.TopCaption:SetSize(colWidth3,20)
optionsWindow.TopCaption:SetPosition(colLeft3,optionsWindow.LeftCaption:GetTop())
optionsWindow.TopCaption:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight)
optionsWindow.TopCaption:SetFont(font);
optionsWindow.TopCaption:SetText(Resource[language][10])
optionsWindow.Top=Turbine.UI.Lotro.TextBox()
optionsWindow.Top:SetParent(optionsWindow)
optionsWindow.Top:SetSize(colWidth4,20)
optionsWindow.Top:SetPosition(colLeft4,optionsWindow.TopCaption:GetTop())
optionsWindow.Top:SetFont(font)

optionsWindow.WidthCaption=Turbine.UI.Label()
optionsWindow.WidthCaption:SetParent(optionsWindow)
optionsWindow.WidthCaption:SetSize(colWidth1,20)
optionsWindow.WidthCaption:SetPosition(colLeft1,optionsWindow.TopCaption:GetTop()+25)
optionsWindow.WidthCaption:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight)
optionsWindow.WidthCaption:SetFont(font);
optionsWindow.WidthCaption:SetText(Resource[language][11])
optionsWindow.Width=Turbine.UI.Lotro.TextBox()
optionsWindow.Width:SetParent(optionsWindow)
optionsWindow.Width:SetSize(colWidth2,20)
optionsWindow.Width:SetPosition(colLeft2,optionsWindow.WidthCaption:GetTop())
optionsWindow.Width:SetFont(font)

optionsWindow.HeightCaption=Turbine.UI.Label()
optionsWindow.HeightCaption:SetParent(optionsWindow)
optionsWindow.HeightCaption:SetSize(colWidth3,20)
optionsWindow.HeightCaption:SetPosition(colLeft3,optionsWindow.WidthCaption:GetTop())
optionsWindow.HeightCaption:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight)
optionsWindow.HeightCaption:SetFont(font);
optionsWindow.HeightCaption:SetText(Resource[language][12])
optionsWindow.Height=Turbine.UI.Lotro.TextBox()
optionsWindow.Height:SetParent(optionsWindow)
optionsWindow.Height:SetSize(colWidth4,20)
optionsWindow.Height:SetPosition(colLeft4,optionsWindow.HeightCaption:GetTop())
optionsWindow.Height:SetFont(font)

optionsWindow.iconHeader=Turbine.UI.Label()
optionsWindow.iconHeader:SetParent(optionsWindow)
optionsWindow.iconHeader:SetSize(optionsWindow:GetWidth()-20,20)
optionsWindow.iconHeader:SetPosition(10,optionsWindow.HeightCaption:GetTop()+30)
optionsWindow.iconHeader:SetTextAlignment(Turbine.UI.ContentAlignment.BottomCenter)
optionsWindow.iconHeader:SetForeColor(Turbine.UI.Color.Gold)
optionsWindow.iconHeader:SetFont(Turbine.UI.Lotro.Font.Verdana22)
optionsWindow.iconHeader:SetText(Resource[language][19])
optionsWindow.iconHeaderSep=Turbine.UI.Control()
optionsWindow.iconHeaderSep:SetParent(optionsWindow)
optionsWindow.iconHeaderSep:SetSize(optionsWindow:GetWidth()-20,1)
optionsWindow.iconHeaderSep:SetPosition(10,optionsWindow.iconHeader:GetTop()+21)
optionsWindow.iconHeaderSep:SetBackColor(Turbine.UI.Color.Gold)

optionsWindow.ShowIcon=Turbine.UI.Lotro.CheckBox();
optionsWindow.ShowIcon:SetParent(optionsWindow);
optionsWindow.ShowIcon:SetFont(font);
optionsWindow.ShowIcon:SetSize(valueWidth,20);
optionsWindow.ShowIcon:SetPosition(valueLeft,optionsWindow.iconHeaderSep:GetTop()+5);
optionsWindow.ShowIcon:SetChecked(Settings.ShowIcon);
optionsWindow.ShowIcon:SetText(Resource[language][16])

optionsWindow.UseMiniIcon=Turbine.UI.Lotro.CheckBox();
optionsWindow.UseMiniIcon:SetParent(optionsWindow);
optionsWindow.UseMiniIcon:SetFont(font);
optionsWindow.UseMiniIcon:SetSize(valueWidth,20);
optionsWindow.UseMiniIcon:SetPosition(valueLeft,optionsWindow.ShowIcon:GetTop()+25);
optionsWindow.UseMiniIcon:SetChecked(Settings.UseMiniIcon);
optionsWindow.UseMiniIcon:SetText(Resource[language][17])

optionsWindow.IconLeftCaption=Turbine.UI.Label()
optionsWindow.IconLeftCaption:SetParent(optionsWindow)
optionsWindow.IconLeftCaption:SetSize(colWidth1,20)
optionsWindow.IconLeftCaption:SetPosition(colLeft1,optionsWindow.UseMiniIcon:GetTop()+25)
optionsWindow.IconLeftCaption:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight)
optionsWindow.IconLeftCaption:SetFont(font);
optionsWindow.IconLeftCaption:SetText(Resource[language][9])
optionsWindow.IconLeft=Turbine.UI.Lotro.TextBox()
optionsWindow.IconLeft:SetParent(optionsWindow)
optionsWindow.IconLeft:SetSize(colWidth2,20)
optionsWindow.IconLeft:SetPosition(colLeft2,optionsWindow.IconLeftCaption:GetTop())
optionsWindow.IconLeft:SetFont(font)

optionsWindow.IconTopCaption=Turbine.UI.Label()
optionsWindow.IconTopCaption:SetParent(optionsWindow)
optionsWindow.IconTopCaption:SetSize(colWidth3,20)
optionsWindow.IconTopCaption:SetPosition(colLeft3,optionsWindow.IconLeftCaption:GetTop())
optionsWindow.IconTopCaption:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight)
optionsWindow.IconTopCaption:SetFont(font);
optionsWindow.IconTopCaption:SetText(Resource[language][10])
optionsWindow.IconTop=Turbine.UI.Lotro.TextBox()
optionsWindow.IconTop:SetParent(optionsWindow)
optionsWindow.IconTop:SetSize(colWidth4,20)
optionsWindow.IconTop:SetPosition(colLeft4,optionsWindow.IconTopCaption:GetTop())
optionsWindow.IconTop:SetFont(font)

optionsWindow.annotationHeader=Turbine.UI.Label()
optionsWindow.annotationHeader:SetParent(optionsWindow)
optionsWindow.annotationHeader:SetSize(optionsWindow:GetWidth()-20,20)
optionsWindow.annotationHeader:SetPosition(10,optionsWindow.IconTopCaption:GetTop()+30)
optionsWindow.annotationHeader:SetTextAlignment(Turbine.UI.ContentAlignment.BottomCenter)
optionsWindow.annotationHeader:SetForeColor(Turbine.UI.Color.Gold)
optionsWindow.annotationHeader:SetFont(Turbine.UI.Lotro.Font.Verdana22)
optionsWindow.annotationHeader:SetText(Resource[language][26])
optionsWindow.annotationHeaderSep=Turbine.UI.Control()
optionsWindow.annotationHeaderSep:SetParent(optionsWindow)
optionsWindow.annotationHeaderSep:SetSize(optionsWindow:GetWidth()-20,1)
optionsWindow.annotationHeaderSep:SetPosition(10,optionsWindow.annotationHeader:GetTop()+21)
optionsWindow.annotationHeaderSep:SetBackColor(Turbine.UI.Color.Gold)

optionsWindow.ShowAnnotations=Turbine.UI.Lotro.CheckBox();
optionsWindow.ShowAnnotations:SetParent(optionsWindow);
optionsWindow.ShowAnnotations:SetFont(font);
optionsWindow.ShowAnnotations:SetSize(valueWidth,20);
optionsWindow.ShowAnnotations:SetPosition(valueLeft,optionsWindow.annotationHeaderSep:GetTop()+5);
optionsWindow.ShowAnnotations:SetChecked(Settings.ShowAnnotations);
optionsWindow.ShowAnnotations:SetText(Resource[language][25])

optionsWindow.sharingHeader=Turbine.UI.Label()
optionsWindow.sharingHeader:SetParent(optionsWindow)
optionsWindow.sharingHeader:SetSize(optionsWindow:GetWidth()-20,20)
optionsWindow.sharingHeader:SetPosition(10,optionsWindow.ShowAnnotations:GetTop()+30)
optionsWindow.sharingHeader:SetTextAlignment(Turbine.UI.ContentAlignment.BottomCenter)
optionsWindow.sharingHeader:SetForeColor(Turbine.UI.Color.Gold)
optionsWindow.sharingHeader:SetFont(Turbine.UI.Lotro.Font.Verdana22)
optionsWindow.sharingHeader:SetText(Resource[language][72])
optionsWindow.sharingHeaderSep=Turbine.UI.Control()
optionsWindow.sharingHeaderSep:SetParent(optionsWindow)
optionsWindow.sharingHeaderSep:SetSize(optionsWindow:GetWidth()-20,1)
optionsWindow.sharingHeaderSep:SetPosition(10,optionsWindow.sharingHeader:GetTop()+21)
optionsWindow.sharingHeaderSep:SetBackColor(Turbine.UI.Color.Gold)

optionsWindow.ShareListsButton=Turbine.UI.Lotro.Button()
optionsWindow.ShareListsButton:SetParent(optionsWindow)
optionsWindow.ShareListsButton:SetSize(200,20)
optionsWindow.ShareListsButton:SetFont(font)
optionsWindow.ShareListsButton:SetPosition((optionsWindow:GetWidth()-optionsWindow.ShareListsButton:GetWidth())/2,optionsWindow.sharingHeaderSep:GetTop()+5)
optionsWindow.ShareListsButton:SetText(Resource[language][90])
optionsWindow.ShareListsButton.Click=function()
	-- show the white/black list maintenance window
	ShareListWindow.RefreshLists()
	ShareListWindow:SetVisible(true)
end

optionsWindow.SaveButton=Turbine.UI.Lotro.Button()
optionsWindow.SaveButton:SetParent(optionsWindow)
optionsWindow.SaveButton:SetSize(120,20)
optionsWindow.SaveButton:SetFont(font)
optionsWindow.SaveButton:SetPosition((optionsWindow:GetWidth()-optionsWindow.SaveButton:GetWidth())/2,optionsWindow:GetHeight()-40)
optionsWindow.SaveButton:SetText(Resource[language][7])
optionsWindow.SaveButton.Click=function()
	local hasError=false
	optionsWindow.Top:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.Left:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.Width:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.Height:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.IconLeft:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.IconTop:SetForeColor(Turbine.UI.Color.White)
	local val=tonumber(optionsWindow.Top:GetText())
	if val==nil or val<0 or val>displayHeight-10 then
		hasError=true
		optionsWindow.Top:SetForeColor(Turbine.UI.Color.Red)
	end
	val=tonumber(optionsWindow.Left:GetText())
	if val==nil or val<0 or val>displayWidth-10 then
		hasError=true
		optionsWindow.Left:SetForeColor(Turbine.UI.Color.Red)
	end
	val=tonumber(optionsWindow.Width:GetText())
	if val==nil or val<0 or val>displayWidth then
		hasError=true
		optionsWindow.Width:SetForeColor(Turbine.UI.Color.Red)
	end
	val=tonumber(optionsWindow.Height:GetText())
	if val==nil or val<0 or val>displayHeight then
		hasError=true
		optionsWindow.Height:SetForeColor(Turbine.UI.Color.Red)
	end

	val=tonumber(optionsWindow.IconTop:GetText())
	if val==nil or val<0 or val>displayHeight-10 then
		hasError=true
		optionsWindow.IconTop:SetForeColor(Turbine.UI.Color.Red)
	end
	val=tonumber(optionsWindow.IconLeft:GetText())
	if val==nil or val<0 or val>displayWidth-10 then
		hasError=true
		optionsWindow.IconLeft:SetForeColor(Turbine.UI.Color.Red)
	end

	if not hasError then
		Settings.LoadMinimized=optionsWindow.LoadMinimized:IsChecked()
		mapWindow:SetLeft(tonumber(optionsWindow.Left:GetText()))
		mapWindow:SetTop(tonumber(optionsWindow.Top:GetText()))
		mapWindow:SetWidth(tonumber(optionsWindow.Width:GetText()))
		mapWindow:SetHeight(tonumber(optionsWindow.Height:GetText()))
		icon:SetTop(tonumber(optionsWindow.IconTop:GetText()))
		icon:SetLeft(tonumber(optionsWindow.IconLeft:GetText()))
		Settings.ShowIcon=optionsWindow.ShowIcon:IsChecked()
		Settings.UseMiniIcon=optionsWindow.UseMiniIcon:IsChecked()
		Settings.ShowAnnotations=optionsWindow.ShowAnnotations:IsChecked()
		icon:SetUseMiniIcon(Settings.UseMiniIcon)

		optionsWindow:SetVisible(false)
		mapWindow.ReloadGrid() -- will apply changes to things like annotations
	end
end

SetLanguage=function()
	optionsWindow:SetText(Resource[language][3])
	optionsWindow.LangCaption:SetText(Resource[language][4])
	optionsWindow.LoadMinimized:SetText(Resource[language][15])
	optionsWindow.ShowIcon:SetText(Resource[language][16])
	optionsWindow.UseMiniIcon:SetText(Resource[language][17])
	optionsWindow.LeftCaption:SetText(Resource[language][9])
	optionsWindow.TopCaption:SetText(Resource[language][10])
	optionsWindow.WidthCaption:SetText(Resource[language][11])
	optionsWindow.HeightCaption:SetText(Resource[language][12])
	optionsWindow.SaveButton:SetText(Resource[language][7])
	optionsWindow:SetText(Resource[language][3])
	optionsWindow.mapHeader:SetText(Resource[language][18])
	optionsWindow.iconHeader:SetText(Resource[language][19])
	optionsWindow.IconLeftCaption:SetText(Resource[language][9])
	optionsWindow.IconTopCaption:SetText(Resource[language][10])
	optionsWindow.annotationHeader:SetText(Resource[language][26])
	optionsWindow.ShowAnnotations:SetText(Resource[language][25])
	mapWindow.Region.Choices[1].Caption:SetText(Resource[language][13])
	mapWindow.Region.Choices[2].Caption:SetText(Resource[language][14])
	mapWindow.NSCap:SetText(Resource[language][20]..Resource[language][21]..": ")
	mapWindow.EWCap:SetText(Resource[language][22]..Resource[language][23]..": ")
	optionsWindow.sharingHeader:SetText(Resource[language][72])
	optionsWindow.ShareListsButton:SetText(Resource[language][90])
end

function RefreshOptionValues()
	optionsWindow.Top:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.Left:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.Width:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.Height:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.IconLeft:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.IconTop:SetForeColor(Turbine.UI.Color.White)
	optionsWindow.Top:SetText(mapWindow:GetTop())
	optionsWindow.Left:SetText(mapWindow:GetLeft())
	optionsWindow.Height:SetText(mapWindow:GetHeight())
	optionsWindow.Width:SetText(mapWindow:GetWidth())
	optionsWindow.IconLeft:SetText(icon:GetLeft())
	optionsWindow.IconTop:SetText(icon:GetTop())
end